Package com.io7m.idstore.protocol.admin.cb

# Record Class IdA1TimestampUTC

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.admin.cb.IdA1TimestampUTC

Record Components:
  `fieldYear` - The year.
  `fieldMonth` - The month in the range [1, 12].
  `fieldDay` - The day of the month in the range [1, 31].
  `fieldHour` - The hour in the range [0, 23].
  `fieldMinute` - The minute in the range [0, 59].
  `fieldSecond` - The second in the range [0, 59].
  `fieldMillisecond` - The millisecond in the range [0, 999].

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBSerializableType`

public record IdA1TimestampUTC(com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldYear, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned8 fieldMonth, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned8 fieldDay, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned8 fieldHour, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned8 fieldMinute, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned8 fieldSecond, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldMillisecond) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType
A UTC timestamp value.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdA1TimestampUTC(com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldYear, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned8 fieldMonth, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned8 fieldDay, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned8 fieldHour, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned8 fieldMinute, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned8 fieldSecond, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldMillisecond)`
  Creates an instance of a `IdA1TimestampUTC` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdA1TimestampUTC`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type IdA1TimestampUTC.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned8`
  `fieldDay()`
  Returns the value of the `fieldDay` record component.
  `com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned8`
  `fieldHour()`
  Returns the value of the `fieldHour` record component.
  `com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32`
  `fieldMillisecond()`
  Returns the value of the `fieldMillisecond` record component.
  `com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned8`
  `fieldMinute()`
  Returns the value of the `fieldMinute` record component.
  `com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned8`
  `fieldMonth()`
  Returns the value of the `fieldMonth` record component.
  `com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned8`
  `fieldSecond()`
  Returns the value of the `fieldSecond` record component.
  `com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32`
  `fieldYear()`
  Returns the value of the `fieldYear` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1TimestampUTC $x)`
  Serialize a value of type IdA1TimestampUTC.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdA1TimestampUTC

    public IdA1TimestampUTC(com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldYear, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned8 fieldMonth, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned8 fieldDay, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned8 fieldHour, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned8 fieldMinute, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned8 fieldSecond, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldMillisecond)
    Creates an instance of a `IdA1TimestampUTC` record class.
    Parameters:
      `fieldYear` - the value for the `fieldYear` record component
      `fieldMonth` - the value for the `fieldMonth` record component
      `fieldDay` - the value for the `fieldDay` record component
      `fieldHour` - the value for the `fieldHour` record component
      `fieldMinute` - the value for the `fieldMinute` record component
      `fieldSecond` - the value for the `fieldSecond` record component
      `fieldMillisecond` - the value for the `fieldMillisecond` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1TimestampUTC $x) throws IOException
    Serialize a value of type IdA1TimestampUTC.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static IdA1TimestampUTC deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type IdA1TimestampUTC.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type IdA1TimestampUTC.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldYear

    public com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldYear()
    Returns the value of the `fieldYear` record component.
    Returns:
      the value of the `fieldYear` record component

  - ### fieldMonth

    public com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned8 fieldMonth()
    Returns the value of the `fieldMonth` record component.
    Returns:
      the value of the `fieldMonth` record component

  - ### fieldDay

    public com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned8 fieldDay()
    Returns the value of the `fieldDay` record component.
    Returns:
      the value of the `fieldDay` record component

  - ### fieldHour

    public com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned8 fieldHour()
    Returns the value of the `fieldHour` record component.
    Returns:
      the value of the `fieldHour` record component

  - ### fieldMinute

    public com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned8 fieldMinute()
    Returns the value of the `fieldMinute` record component.
    Returns:
      the value of the `fieldMinute` record component

  - ### fieldSecond

    public com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned8 fieldSecond()
    Returns the value of the `fieldSecond` record component.
    Returns:
      the value of the `fieldSecond` record component

  - ### fieldMillisecond

    public com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldMillisecond()
    Returns the value of the `fieldMillisecond` record component.
    Returns:
      the value of the `fieldMillisecond` record component